Skip to content
POST /unified/accounting/payments

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

idstring
required·

The unique identifier for payments

4 supported1 required
Microsoft Dynamics 365 Business Central
required
ERPNext
supported
QuickBooks
supported
Xero
supported
accountstring

The ID of the account for the payment

References: Accounts → id
3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
companystring

The ID of the company the payment belongs to

References: CompanyInfo → id
1 supported
ERPNext
supported
contactobject

The contact of the payment

References: Contacts → id
4 supported1 required
QuickBooks
required
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Xero
supported
idstring
required·

The ID of the contact

typestring
required·

The type of the contact. Can be customer or vendor.

Possible values:
customervendorcustomervendorcustomervendor
created_atstring · date-time

This represents the date when the payment was created

4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
currencystring

The currency of the payment

3 supported1 required
QuickBooks
required
ERPNext
supported
Xero
supported
exchange_ratenumber

The exchange rate of the payment

2 supported
ERPNext
supported
Xero
supported
invoiceobject

The invoice associated with the payment

References: Invoices → id
4 supported1 required
QuickBooks
required
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Xero
supported
idstring

The ID of the invoice

typestring

The type of the invoice

Possible values:
invoicebillinvoicebill
pay_typestring

For Quickbooks. The type of the payment. You can find it in "Account" resource

Possible values:
CheckCreditCard
1 supported
QuickBooks
supported
CheckCreditCard
payment_forstring

What entity was the payment for. Can be invoice or bill.

References: Invoices → id
Possible values:
invoicebillinvoicebillinvoicebill
4 supported
ERPNext
supported
invoicebill
Microsoft Dynamics 365 Business Central
supported
invoicebill
QuickBooks
supported
Xero
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusstring

The status of the payment.

2 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
total_amountnumber

The total amount of the payment

4 supported2 required
Microsoft Dynamics 365 Business Central
required
QuickBooks
required
ERPNext
supported
Xero
supported
transaction_datestring · date-time

The transaction date of the payment

4 supported1 required
Microsoft Dynamics 365 Business Central
required
ERPNext
supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

This represents the date when the payment was updated

4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported

Response Body

idstring
required·

The unique identifier for payments

4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
accountstring

The ID of the account for the payment

References: Accounts → id
3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
companystring

The ID of the company the payment belongs to

References: CompanyInfo → id
1 supported
ERPNext
supported
contactobject

The contact of the payment

References: Contacts → id
4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
idstring

The ID of the contact

typestring

The type of the contact. Can be customer or vendor.

Possible values:
customervendor
created_atstring · date-time

This represents the date when the payment was created

4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
currencystring

The currency of the payment

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
exchange_ratenumber

The exchange rate of the payment

2 supported
ERPNext
supported
Xero
supported
invoiceobject

The invoice associated with the payment

References: Invoices → id
4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
idstring

The ID of the invoice

typestring

The type of the invoice

Possible values:
invoicebill
payment_forstring

What entity was the payment for. Can be invoice or bill.

References: Invoices → id
Possible values:
invoicebill
4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the payment.

2 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
total_amountnumber

The total amount of the payment

4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
transaction_datestring · date-time

The transaction date of the payment

4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

This represents the date when the payment was updated

4 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
curl -X POST 'https://api.truto.one/unified/accounting/payments?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "payment_for": "invoice",
  "transaction_date": "your_transaction_date",
  "contact": {},
  "account": "your_account",
  "exchange_rate": 0,
  "company": "your_company",
  "total_amount": 0,
  "id": "your_id",
  "status": "your_status",
  "invoice": {},
  "currency": "your_currency",
  "created_at": "your_created_at",
  "updated_at": "your_updated_at",
  "pay_type": "Check",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "payment_for": "invoice",
  "transaction_date": "your_transaction_date",
  "contact": {},
  "account": "your_account",
  "exchange_rate": 0,
  "company": "your_company",
  "total_amount": 0,
  "id": "your_id",
  "status": "your_status",
  "invoice": {},
  "currency": "your_currency",
  "created_at": "your_created_at",
  "updated_at": "your_updated_at",
  "pay_type": "Check",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/payments?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/payments"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "payment_for": "invoice",
    "transaction_date": "your_transaction_date",
    "contact": {},
    "account": "your_account",
    "exchange_rate": 0,
    "company": "your_company",
    "total_amount": 0,
    "id": "your_id",
    "status": "your_status",
    "invoice": {},
    "currency": "your_currency",
    "created_at": "your_created_at",
    "updated_at": "your_updated_at",
    "pay_type": "Check",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'payments',
  {
  "payment_for": "invoice",
  "transaction_date": "your_transaction_date",
  "contact": {},
  "account": "your_account",
  "exchange_rate": 0,
  "company": "your_company",
  "total_amount": 0,
  "id": "your_id",
  "status": "your_status",
  "invoice": {},
  "currency": "your_currency",
  "created_at": "your_created_at",
  "updated_at": "your_updated_at",
  "pay_type": "Check",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "payments",
        {
        "payment_for": "invoice",
        "transaction_date": "your_transaction_date",
        "contact": {},
        "account": "your_account",
        "exchange_rate": 0,
        "company": "your_company",
        "total_amount": 0,
        "id": "your_id",
        "status": "your_status",
        "invoice": {},
        "currency": "your_currency",
        "created_at": "your_created_at",
        "updated_at": "your_updated_at",
        "pay_type": "Check",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())